"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var useTimeoutFn_1 = require("@src/components/useTimeoutFn");
var noop = function () { return null; };
function useTimeout(ms, runOnMount) {
    if (ms === void 0) { ms = 0; }
    if (runOnMount === void 0) { runOnMount = true; }
    var _a = useTimeoutFn_1.useTimeoutFn(noop, ms, runOnMount), isReady = _a.isReady, isIdle = _a.isIdle, cancel = _a.cancel, start = _a.start;
    return { isReady: isReady, isIdle: isIdle, cancel: cancel, start: start };
}
exports.useTimeout = useTimeout;
